use nostr_rs_types::types::Id;
use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Config {
    pub relayers: Vec<String>,
    pub max_connections_attempts: u16,
    pub db_path: String,
    pub port: u16,
    pub accounts: Vec<Accounts>,
    pub domain: Option<String>,
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Accounts {
    pub pub_key: Id,
    pub name: Option<String>,
}
